title: My final try at freelancing
subtitle: Starting my second year of my bachelor's degree in Software Engineering, I decided to try freelancing, results were dreadful. 
author: Francesco Faenza
author_image: francesco_faenza_profile_picture.jpg
date: November 2, 2022
image: my-first-freelance-exp.png
permalink: my-first-freelance-exp
tags: experience
shortcontent: "Starting my second year of my bachelor's degree in Software Engineering, a group of students was already working on paid projects here and there. People were developing Android apps like I was winning beer contests, so I decided to try freelancing myself. A hint: it was dreadful."

---

Twas 2012, and I was starting my second year of my bachelor's degree in Software Engineering; I decided to try freelancing, results were dreadful.

Starting my second year of my bachelor's degree in Software Engineering, a group of students was already working on paid projects here and there. People were developing Android apps like I was winning beer contests, so I decided to try freelancing myself. A hint: it was dreadful.

Where I was born, we used to say, _"old people and foreigners brag about themself"_. It means that when you are old or come from a different place, it is difficult to verify the truthfulness of your declaration, and stories become easily exaggerated or creative. In my case, I will be belittled as much as I can by my old self, hence no risk of some kind of exaggeration.

They say to choose wisely your travel buddy, so I decided to start my first freelance job with a friend (hereafter **M**) who had no skill at all in programming nor in managing a software project. 
I was no better, having chosen Computer Science over Psychology or Medicine only for a question of job security. It was 2009; back then, it seemed a pretty reasonable factor compared to what I **really** liked.

Back to the matter, the job was simple, create for a local small company a digital catalogue of products accessible through the world wide web. You are probably thinking, _"Uhm, interesting; what was the best CMS back in the day?"_ the problem here is that back in the day, I barely theoretically knew what the acronym CMS stood for, let alone know what the best one was. _(aside: at the time, probably, Joomla was still alive and fighting for its place against WordPress)_

So no CMS, hence, pure HTML. Yes, HTML only, not even CSS, and JavaScript was barely in our grasp. Result: many HTML pages, many absolute references to HTML pages, practically an HTML page for each product and most importantly, a design and user experience so awful that I cannot believe that the site is **still up** and unchanged.

Yeah, can you believe that? The site is still up and still the same, almost 10 years later. They probably decided to keep it up, so I will never forget the dreadful work I did.

Little aside, probably **M** tried to improve it at a certain point, but I think he gave up the effort soon.
